Computer Security
[EN] securityvulns.ru no-pyccku


Colloquy IRC client multiple format string vulnerabilities
Published:21.01.2007
Source:
SecurityVulns ID:7080
Type:client
Threat Level:
6/10
Description:Multiple format string vulnerabilities, e.g. invite IRC command.
Affected:COLLOQUY : Colloquy 2.1
CVE:CVE-2007-0344 (Multiple format string vulnerabilities in (1) _invitedToRoom: and (2) _invitedToDirectChat: in Colloquy 2.1 and earlier allow remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via format string specifiers in the channel name of an INVITE request, related to the implementation of AlertSheet and AlertPanel in Apple AppKit.)
Original documentdocumentMOAB, MOAB-16-01-2007: Multiple Colloquy IRC Format String Vulnerabilities (21.01.2007)
Files:Makes use of the Colloquy INVITE format string vulnerability.

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod